@import url('lib/open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
} 

.validation-message {
    color: red;
}

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*/
#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*/
.e-dialog .e-dlg-header {
    font-size: 2em !important;
    font-weight: bold !important;
    text-align: center !important;
}

.ZoneErrorDialog {
    color: black !important;
    font-size: 18px !important;
}
.ZoneErrorDialogH {
    color: black !important;
    font-size: 22px !important;
    font-weight:500;
}

.dlgProcess-spinner.e-spinner-pane .e-spinner-inner {
    margin-top: 30px;
}

.e-spinner-pane.dlgProcess-spinner .e-spinner-inner .e-spin-material {
    stroke: #808080;
}
.e-spinner-pane .e-spinner-inner .e-spin-material {
    fill: lightgreen;
    stroke: darkgreen;
}
 


.dlgSpinner-dialog.e-dialog {
    border-radius: 65px;
    overflow: hidden; /* important — clips header/content/footer to the rounded shape */
}

.e-spinner-pane.dlgSpinner-spinner .e-spinner-inner .e-spin-material {
    stroke: #808080;
}


.MSG_PleaseWaitSpinner {
    padding: 20px !important;
    border-radius: 50px !important;
    height: 100% !important;
    width: 100% !important;
}
.SpinnerMSG {
    color: red !important;
    font-size: 18px !important;
}
.SpinnerMSGH {
    /*color: black !important;*/

    font-size: 28px !important;
    font-weight: bold !important;
    text-align: center !important;
}
.SpinnerMSGL {
    /*color: black !important;*/
    font-style: italic;
    font-size: 21px !important;
    text-align: center !important;
}
